###  Core dumps

You can instruct your system to create a memory dump (coredump) file upon application crash for postmortem analysis.
You can set the max. size of such corefiles. If the max. coresize is 0 Bytes (= default), creating corefiles is disabled.

    $ ulimit -a
    [...]
    core file size          (blocks, -c) 0
    [...]

### Enable coredump generation

    $ ulimit -c unlimited

The naming scheme of corefiles is configure via the file /proc/sys/kernel/core_pattern . You may set it e.g. to
"/tmp/core-%p" (p will be replaced by the PID).

> **Attention**  
>   Ubuntu Linux by default sets a pipe to Apport as core_pattern . You should ask your system administrator to change
>   it using:

    $ sysctl kernel.core_pattern=/var/crash/%E.%p.%t.%s

###  Example of crash

    $ ./CrashNow
    Segmentation fault (core dumped)
    
    $ ls -lh /var/crash
    total 128K
    drwxrwxrwt  2 root   root   4.0K Jan 22 16:10 .
    drwxr-xr-x 15 root   root   4.0K Apr 25  2020 ..
    -rw-------  1 mstein hriasc 256K Jan 22 16:16 !home!mstein!tmp!HelloWorld!1.0!bin!focal64!CrashNow.22475.1421939771.11

Then you can open this corefile with your preferred debugger, e.g.:

    $ gdb ./CrashNow /var/crash/\!home\!mstein\!tmp\!HelloWorld\!1.0\!bin\!focal64\!CrashNow.22475.1421939771.11
    [...]
    Core was generated by `./CrashNow'.
    Program terminated with signal 11, Segmentation fault.
    #0  0x000000000040085b in printf (__fmt=0x400993 "crash  = %f\n") at /usr/include/x86_64-linux-gnu/bits/stdio2.h:105
    105       return __printf_chk (__USE_FORTIFY_LEVEL - 1, __fmt, __va_arg_pack ());
    (gdb)
    
See also   
    [Source-code debugging](SourceCodeDebugging.md) 
